Name:           wfut
Version:        1.1.0
Release:        4%{?dist}
Summary:        Software updater tool for WorldForge applications

Group:          Development/Libraries
License:        GPL+
URL:            http://www.worldforge.org
Source0:        http://downloads.sourceforge.net/worldforge/WFUT-1.1.0.tar.gz
Source1:        wfut.desktop
Source2:        wfut.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-java desktop-file-utils

%description
Software updater tool for WorldForge applications.


%prep
%setup -q -n WFUT-%{version}
sed -i -e 's/gcj -c/gcj $(RPM_OPT_FLAGS) -c/' src/Makefile.in


%build
# This should be compiling to native code now, making the JAR
# override unnecessary.  Leave it in for now as a reminder of
# how to use it with gcc's jar program.
JAR=fastjar
export JAR
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# The start script checks for a native binary, and if not found, will
# try to use java + jar file instead.  But we are only building the
# native binary, so don't bother with this check.
mv $RPM_BUILD_ROOT%{_bindir}/wfut-bin $RPM_BUILD_ROOT%{_bindir}/wfut

desktop-file-install --vendor fedora                            \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
        %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Wed Aug 22 2007 Wart <wart at kobold dot org> 1.1.0-4
- License tag clarification
- Better download URL

* Wed Mar 28 2007 Wart <wart at kobold dot org> 1.1.0-3
- Enable use of RPM_OPT_FLAGS

* Thu Mar 1 2007 Wart <wart at kobold dot org> 1.1.0-2
- Rebuild for new libgcj .so version

* Wed Feb 7 2007 Wart <wart at kobold dot org> 1.1.0-1
- Update to 1.1.0
- Upstream moved sources to SourceForge

* Thu Aug 17 2006 Wart <wart at kobold dot org> 1.0-3
- Remove unnecessary startup script.
- Added .desktop file

* Wed Aug 16 2006 Wart <wart at kobold dot org> 1.0-2
- Removed BR: autoxxx which aren't needed anymore.

* Wed Aug 16 2006 Wart <wart at kobold dot org> 1.0-1
- Update to latest WFUT public tarball.

* Tue Aug 15 2006 Wart <wart at kobold dot org> 0.0.0-2
- Updated spec for FC5 and newer.  This no longer builds
  the WFUT.jar archive, but uses a native binary instead.

* Tue Jun 20 2006 Wart <wart at kobold dot org> 0.0.0-1
- Initial package for Fedora
